#
#
#
import os
import argparse
import logging
from subprocess import Popen, PIPE, check_call


def main():
  parseArgs()


def parseArgs():
  print("***** ***** ***** *****")
  print("  **  Pic * Seal  **   ")
  print("***** ***** ***** *****\n")
  parser = argparse.ArgumentParser()
  parser.add_argument('-i', '--image', required=False, help="source image file")
  parser.add_argument('-v', '--verbose', action='store_true', help="will set logging level to INFO")
  parser.add_argument('-vv', '--vverbose', action='store_true', help="will set logging level to DEBUG")
  parser.add_argument('-l', '--logging', action='store_true', help="will supercede the -v option and send all logging to a file, logging.DEBUG")
  args = parser.parse_args()

  if (args.logging):
    logging.basicConfig(filename='dbfp.log', level=logging.DEBUG)

  if (args.verbose):
    logging.basicConfig(level=logging.INFO)
  elif (args.vverbose):
    logging.basicConfig(level=logging.DEBUG)
  else:
    logging.basicConfig(level=logging.CRITICAL)

  if (args.image):
    pass
  else:
    print('Create PicSeal images')
    print('  picseal.py  -i <image_file>')
    print('\n***** ***** ***** *****\n')
    parser.print_help()



if __name__ == "__main__":
  main()
  print
